Subject: RE: code for IPv6 or for AF independence

From: "Richard Draves" <[email-masked]>
Date: Thu, 22 Mar 2001 11:08:06 -0800

Yes. Another reason for using getaddrinfo/getnameinfo is that they
support scope-ids.

Rich

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Wednesday, March 21, 2001 9:16 PM
> To: [email-masked]
> Subject: code for IPv6 or for AF independence
> 
> 
> ¡Hola!
> 
> After some discussions in the Debian IPv6 project I'm coming here
> to hear this wg's opinion about what should "normal application"
> programmers do?
> 
> By "normal application" I mean those that don't need to know what
> network protocol is being used in the communication (telnet, smtp,
> pop, etc, could run over tcp/ipv4, tcp/ipv6, tcp/ipx or any other
> stream protocol with no changes)
> 
> Should we program for AF independence (using getaddrinfo/getnameinfo)
> or for IPv6 (and relying in IPv4 mapped addresses for compatibility)
> 
> I don't believe IPv6 is a cure-all protocol. Porting one "normal
> application" between PFs is not a hard work, but porting the thousands
> apps we have is. We're commited to do all that work, but when the next
> protocol comes we won't like to do it again.
> 
> That's why I'd think programming for AF independence should 
> be preferred
> and programming for IPv6 be restricted to IPv6 specific apps 
> that couldn't
> be written AF independent, and discouraged for "normal applications"
> 
> That's my humble opinion, but before trying to convince all the other
> Debian IPv6 people, I'm asking for the opinion of this wg on 
> this matters.
> 
> Are my reasoning and conclusion corrects?
> 
> Thanks,
> 					HoraPe
> ---
> Horacio J. Peña
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------